# -*- encoding: utf-8 -*-
# stub: mongoid-ancestry-fixes 0.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "mongoid-ancestry-fixes".freeze
  s.version = "0.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Stefan Kroes".freeze, "Anton Orel".freeze, "fl00r".freeze, "shilovk".freeze]
  s.date = "2015-03-22"
  s.description = "Organise Mongoid model into a tree structure".freeze
  s.email = ["eagle.anton@gmail.com".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["README.md".freeze]
  s.homepage = "http://github.com/skyeagle/mongoid-ancestry".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "This is a fork of mongoid-ancestry-0.2.3 with some fixes. Ancestry allows the records of a Mongoid model to be organised in a tree structure, using a single, intuitively formatted database field. It exposes all the standard tree structure relations (ancestors, parent, root, children, siblings, descendants) and all of them can be fetched in a single query. Additional features are named_scopes, integrity checking, integrity restoration, arrangement of (sub)tree into hashes and different strategies for dealing with orphaned records.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mongoid>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<bson_ext>.freeze, [">= 1.3"])
  else
    s.add_dependency(%q<mongoid>.freeze, [">= 2.0"])
    s.add_dependency(%q<bson_ext>.freeze, [">= 1.3"])
  end
end
